package com.microservices.dss.projects.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UserMapper {

    int selectUserCount();

    List<Object> getNewAddedMembersByMonth(@Param("startTime") String startTime, @Param("endTime") String endTime);

    List<Object> getActiveMembersByMonth(@Param("startTime") String startTime, @Param("endTime") String endTime);

    Long getUserIdByToken(@Param("token") String token);

    Boolean getAdminStatus(@Param("userId") Long userId);
}
